![CI](https://github.com/Paliquant/PQPolygonSDK.jl/workflows/CI/badge.svg)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

## Introduction
`PQPolygonSDK.jl` is a software development kit (SDK) for the [Polygon.io](https://polygon.io) financial data warehouse in the [Julia](https://julialang.org) programming language. [Polygon.io](https://polygon.io) is a leading provider of realtime and historical stock, options, forex (FX) data, and digital/crypto currency data feeds.

## Installation and Requirements
`PQPolygonSDK.jl` can be installed, updated, or removed using the [Julia package management system](https://docs.julialang.org/en/v1/stdlib/Pkg/). To access the package management interface, open the [Julia REPL](https://docs.julialang.org/en/v1/stdlib/REPL/), and start the package mode by pressing `]`.
While in package mode, to install `PQPolygonSDK.jl`, issue the command:

    (@v1.7.x) pkg> add PQPolygonSDK

To use `PQPolygonSDK.jl` in your projects, issue the command:

    julia> using PQPolygonSDK

## Documentation
Documentation for the `PQPolygonSDK.jl` package can be found [here](https://paliquant.github.io/PQPolygonSDKDocumentation/).

## Disclaimer and Risks
[Paliquant](https://www.paliquant.com) software and `PQPolygonSDK.jl` is offered solely for training and  informational purposes. No offer or solicitation to buy or sell securities or securities derivative products of any kind, or any type of investment or trading advice or strategy,  is made, given or in any manner endorsed by [Paliquant](https://www.paliquant.com).

Trading involves risk. Carefully review your financial situation before investing in securities, futures contracts, options or commodity interests. Past performance, whether actual or indicated by historical tests of strategies, is no guarantee of future performance or success. Trading is generally not appropriate for someone with limited resources, investment or trading experience, or a low-risk tolerance.  Only risk capital that will not be needed for living expenses.

You are fully responsible for any investment or trading decisions you make, and such decisions should be based solely on your evaluation of your financial circumstances, investment or trading objectives, risk tolerance and liquidity needs.






